<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imdetectobjects</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_839fc35e3befad25e8912514a3fd6e8f.html">&lt;&lt; Object Detection</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_839fc35e3befad25e8912514a3fd6e8f.html">Object Detection</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_14ed4cc6f6638a94457aafa06e5a086c.html">ROI Processing &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_839fc35e3befad25e8912514a3fd6e8f.html">Object Detection</a> &gt; imdetectobjects</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imdetectobjects</h1>
    <p class="refpurpose">Detect Objects In an Image with Cascade Classification</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">r</span><span class="default"> = </span><span class="functionid">imdetectobjects</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">cfn</span><span class="default">)</span>
<span class="default">r</span><span class="default"> = </span><span class="functionid">imdetectobjects</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">cfn</span><span class="default">,</span><span class="default">fac</span><span class="default">)</span>
<span class="default">r</span><span class="default"> = </span><span class="functionid">imdetectobjects</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">cfn</span><span class="default">,</span><span class="default">fac</span><span class="default">,</span><span class="default">minNB</span><span class="default">)</span>
<span class="default">r</span><span class="default"> = </span><span class="functionid">imdetectobjects</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">cfn</span><span class="default">,</span><span class="default">fac</span><span class="default">,</span><span class="default">minNB</span><span class="default">,</span><span class="default">minSz</span><span class="default">)</span>
<span class="default">r</span><span class="default"> = </span><span class="functionid">imdetectobjects</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">cfn</span><span class="default">,</span><span class="default">fac</span><span class="default">,</span><span class="default">minNB</span><span class="default">,</span><span class="default">minSz</span><span class="default">,</span><span class="default">maxSz</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">S :</span>
      <dd><p class="para">Source image.</p></dd></dt>
   <dt><span class="term">cfn :</span>
      <dd><p class="para">Classifier file name, in xml format.</p></dd></dt>
   <dt><span class="term">fac :</span>
      <dd><p class="para">Parameter specifying how much the image size is reduced at each image scale. Default value is 1.1</p></dd></dt>
   <dt><span class="term">minNB :</span>
      <dd><p class="para">Parameter specifying how many neighbors each candidate rectangle should have to retain it. Default value is 3</p></dd></dt>
   <dt><span class="term">minSz :</span>
      <dd><p class="para">Minimum possible object size. Objects smaller than that are ignored. In [w h] format. Default value is [30 30]</p></dd></dt>
   <dt><span class="term">maxSz :</span>
      <dd><p class="para">Maximum possible object size. Objects larger than that are ignored. In [w h] format. Default value not set will be unlimited</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imdetectobjects Detects objects of different sizes in the input image. The detected objects are returned as a list of rectangles.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/people2.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">cfn</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/demos/haarcascade_frontalface_alt.xml</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">r</span> <span class="scilaboperator">=</span> <span class="scilabid">imdetectobjects</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">cfn</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imrects</span><span class="scilabopenclose">(</span><span class="scilabid">r</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">0</span> <span class="scilabnumber">255</span> <span class="scilabnumber">0</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imrects.html" class="link">imrects</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_839fc35e3befad25e8912514a3fd6e8f.html">&lt;&lt; Object Detection</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_839fc35e3befad25e8912514a3fd6e8f.html">Object Detection</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_14ed4cc6f6638a94457aafa06e5a086c.html">ROI Processing &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
